Update Memory
curl --request PATCH \
--url https://api.example.com/memories/{memory_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memory": "<string>",
"user_id": "<string>",
"topics": [
"<string>"
]
}
'import requests
url = "https://api.example.com/memories/{memory_id}"
payload = {
"memory": "<string>",
"user_id": "<string>",
"topics": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory: '<string>', user_id: '<string>', topics: ['<string>']})
};
fetch('https://api.example.com/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "f9361a69-2997-40c7-ae4e-a5861d434047",
"memory": "User likes coffee.",
"topics": [
"preferences"
],
"user_id": "123",
"updated_at": "2025-09-01T07:53:17Z"
}{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Insufficient permissions"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}Memory
Update Memory
Update an existing user memory’s content and topics. Replaces the entire memory content and topic list with the provided values.
PATCH
/
memories
/
{memory_id}
Update Memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Memory ID to update
Query Parameters
Database ID to use for update
Table to use for update
Body
application/json
Response
Memory updated successfully
Unique identifier for the memory
Memory content text
Topics or tags associated with the memory
Agent ID associated with this memory
Team ID associated with this memory
User ID who owns this memory
Timestamp when memory was last updated
Was this page helpful?
⌘I